POST /v2/templates/{templateID}/builds/{buildID}
Start template build (v2)
Start the build
Parameters
templateID·string· path · requiredbuildID·string· path · required
Request body
Required: yes
application/json
Schema: TemplateBuildStartV2
fromImage·string· optionalImage to use as a base for the template build
fromTemplate·string· optionalTemplate to use as a base for the template build
fromImageRegistry·FromImageRegistry· optionalVariant
AWSRegistry· discriminatortype=awsfromImageRegistry<AWSRegistry>.type·aws· requiredType of registry authentication
Allowed values:
awsfromImageRegistry<AWSRegistry>.awsAccessKeyId·string· requiredAWS Access Key ID for ECR authentication
fromImageRegistry<AWSRegistry>.awsSecretAccessKey·string· requiredAWS Secret Access Key for ECR authentication
fromImageRegistry<AWSRegistry>.awsRegion·string· requiredAWS Region where the ECR registry is located
Variant
GCPRegistry· discriminatortype=gcpfromImageRegistry<GCPRegistry>.type·gcp· requiredType of registry authentication
Allowed values:
gcpfromImageRegistry<GCPRegistry>.serviceAccountJson·string· requiredService Account JSON for GCP authentication
Variant
GeneralRegistry· discriminatortype=registryfromImageRegistry<GeneralRegistry>.type·registry· requiredType of registry authentication
Allowed values:
registryfromImageRegistry<GeneralRegistry>.username·string· requiredUsername to use for the registry
fromImageRegistry<GeneralRegistry>.password·string· requiredPassword to use for the registry
force·boolean· optionalWhether the whole build should be forced to run regardless of the cache
Default:
falsesteps·array<TemplateStep>· optionalList of steps to execute in the template build
Default:
[]steps.type·string· requiredType of the step
steps.args·array<string>· optionalArguments for the step
Default:
[]steps.filesHash·string· optionalHash of the files used in the step
steps.force·boolean· optionalWhether the step should be forced to run regardless of the cache
Default:
falsestartCmd·string· optionalStart command to execute in the template after the build
readyCmd·string· optionalReady check command to execute in the template after the build
Responses
202
The build has started
401
Authentication error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError
500
Server error
Content-Type: application/json
Schema: Error
code·integer· requiredError code
Format:
int32message·string· requiredError